List broadcasts
Returns a list of the broadcasts for your account.Endpoint
GET /v3/broadcasts
Parameters
The page of results being requested. Default value is
1. Each page of results will contain up to 50 broadcasts.Create a broadcast
Create a draft or scheduled broadcast. You can create a draft broadcast without any attributes. Scheduled broadcasts at a minimum should contain a subject line and your content. Unless otherwise specified, new broadcasts will be sent from your account’s default email address and with your account’s default email template.Endpoint
POST /v3/broadcasts
Parameters
The broadcast’s email content - this can contain text and simple HTML markdown (such as
h1, img or p tags)Time that this broadcast should be sent; leave blank to create a draft broadcast. If set to a future time, this is the time that the broadcast will be scheduled to send.
Specify the URL of the thumbnail image to accompany the broadcast post (applicable only to public posts)
Retrieve a specific broadcast
Retrieve the details of a specific broadcast, including draft, scheduled, and previously-sent broadcasts.Endpoint
GET /v3/broadcasts/#{broadcast_id}
Parameters
Get stats
Get the statistics (recipient count, open rate, click rate, unsubscribe count, total clicks, status, and send progress) for a specific broadcast.Endpoint
GET /v3/broadcasts/#{broadcast_id}/stats
Parameters
Update a broadcast
Update the attributes of a specific broadcast. Broadcasts that are currently sending or that have been sent may not be updated.Endpoint
PUT /v3/broadcasts/#{broadcast_id}
Parameters
Time that this broadcast should be sent; leave blank to create a “draft” broadcast. If set to a future time, this is the time that the broadcast will be scheduled to send.
Specify the URL of the thumbnail image to accompany the broadcast post (applicable only to public posts)
Destroy a broadcast
Permanently delete a draft or scheduled broadcast record. Broadcasts that are currently sending or that have been sent may not be deleted.Endpoint
DELETE /v3/broadcasts/#{broadcast_id}